Subject: bug#33254: 26.1.50; Fixed-size windows break 'balance-windows'

From: martin rudalics <[email-masked]>
Date: Sun, 04 Nov 2018 16:46:31 +0100

>> No.  It works with Emacs 23.
 >
 > Still, that's a very long time.  Why is it urgent to fix this in 26.2?

It's not the visible behavior that's disquieting me.  It's rather the
fact that 'balance-windows-1' goes on calculating all sorts of things
and finally 'balance-windows' sumbits a wrongly calculated structure
to 'window-resize-apply' which only gets caught by window_resize_check
at a very, very late stage.  Ideally, window_resize_check would emit a
warning in such a case, but I never got around to write it.

I think the bug happens to users of 'balance-windows' all the time but
they hardly notice because for that it needs at least three windows,
one of them of fixed size.  With my example it's barely noticeable at
all.  Also it's a plain thinko and probably not that urgent so I can
make the change on Emacs 27 only as well.

martin